<html>
<head>
<title>Ogre::FileInfo Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1FileInfo.html">FileInfo</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::FileInfo Struct Reference<div class="ingroups"><a class="el" href="group__Resources.html">Resources</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::FileInfo" -->
<p>Information about a file/directory within the archive will be returned using a <a class="el" href="structOgre_1_1FileInfo.html" title="Information about a file/directory within the archive will be returned using a FileInfo struct...">FileInfo</a> struct.  
 <a href="structOgre_1_1FileInfo.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreArchive_8h_source.html">OgreArchive.h</a>&gt;</code></p>

<p><a href="structOgre_1_1FileInfo-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Archive.html">Archive</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1FileInfo.html#a60434fe6c87df669188d79633ddc73c6">archive</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The archive in which the file has been found (for info when performing multi-Archive searches, note you should still open through <a class="el" href="classOgre_1_1ResourceGroupManager.html" title="This singleton class manages the list of resource groups, and notifying the various resource managers...">ResourceGroupManager</a>)  <a href="#a60434fe6c87df669188d79633ddc73c6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1FileInfo.html#a841227629a26a422c3ba6c4bd1877d62">filename</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The file's fully qualified name.  <a href="#a841227629a26a422c3ba6c4bd1877d62"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1FileInfo.html#ad2e54ca7979d9c87a255e6eb532a33f2">path</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Path name; separated by '/' and ending with '/'.  <a href="#ad2e54ca7979d9c87a255e6eb532a33f2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1FileInfo.html#ac48eca5413e87a3efd1f3355b994f5fd">basename</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Base filename.  <a href="#ac48eca5413e87a3efd1f3355b994f5fd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1FileInfo.html#ac9634cdb326f2b11575a8cc7fc509b96">compressedSize</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Compressed size.  <a href="#ac9634cdb326f2b11575a8cc7fc509b96"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1FileInfo.html#a66c7bf4f59feb619016a5c70e4ded4ee">uncompressedSize</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Uncompressed size.  <a href="#a66c7bf4f59feb619016a5c70e4ded4ee"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Information about a file/directory within the archive will be returned using a <a class="el" href="structOgre_1_1FileInfo.html" title="Information about a file/directory within the archive will be returned using a FileInfo struct...">FileInfo</a> struct. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreArchive_8h_source.html#l00052">52</a> of file <a class="el" href="OgreArchive_8h_source.html">OgreArchive.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a60434fe6c87df669188d79633ddc73c6"></a><!-- doxytag: member="Ogre::FileInfo::archive" ref="a60434fe6c87df669188d79633ddc73c6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Archive.html">Archive</a>* <a class="el" href="structOgre_1_1FileInfo.html#a60434fe6c87df669188d79633ddc73c6">Ogre::FileInfo::archive</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The archive in which the file has been found (for info when performing multi-Archive searches, note you should still open through <a class="el" href="classOgre_1_1ResourceGroupManager.html" title="This singleton class manages the list of resource groups, and notifying the various resource managers...">ResourceGroupManager</a>) </p>

<p>Definition at line <a class="el" href="OgreArchive_8h_source.html#l00055">55</a> of file <a class="el" href="OgreArchive_8h_source.html">OgreArchive.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac48eca5413e87a3efd1f3355b994f5fd"></a><!-- doxytag: member="Ogre::FileInfo::basename" ref="ac48eca5413e87a3efd1f3355b994f5fd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1FileInfo.html#ac48eca5413e87a3efd1f3355b994f5fd">Ogre::FileInfo::basename</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Base filename. </p>

<p>Definition at line <a class="el" href="OgreArchive_8h_source.html#l00061">61</a> of file <a class="el" href="OgreArchive_8h_source.html">OgreArchive.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac9634cdb326f2b11575a8cc7fc509b96"></a><!-- doxytag: member="Ogre::FileInfo::compressedSize" ref="ac9634cdb326f2b11575a8cc7fc509b96" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1FileInfo.html#ac9634cdb326f2b11575a8cc7fc509b96">Ogre::FileInfo::compressedSize</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Compressed size. </p>

<p>Definition at line <a class="el" href="OgreArchive_8h_source.html#l00063">63</a> of file <a class="el" href="OgreArchive_8h_source.html">OgreArchive.h</a>.</p>

</div>
</div>
<a class="anchor" id="a841227629a26a422c3ba6c4bd1877d62"></a><!-- doxytag: member="Ogre::FileInfo::filename" ref="a841227629a26a422c3ba6c4bd1877d62" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1FileInfo.html#a841227629a26a422c3ba6c4bd1877d62">Ogre::FileInfo::filename</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The file's fully qualified name. </p>

<p>Definition at line <a class="el" href="OgreArchive_8h_source.html#l00057">57</a> of file <a class="el" href="OgreArchive_8h_source.html">OgreArchive.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad2e54ca7979d9c87a255e6eb532a33f2"></a><!-- doxytag: member="Ogre::FileInfo::path" ref="ad2e54ca7979d9c87a255e6eb532a33f2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1FileInfo.html#ad2e54ca7979d9c87a255e6eb532a33f2">Ogre::FileInfo::path</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Path name; separated by '/' and ending with '/'. </p>

<p>Definition at line <a class="el" href="OgreArchive_8h_source.html#l00059">59</a> of file <a class="el" href="OgreArchive_8h_source.html">OgreArchive.h</a>.</p>

</div>
</div>
<a class="anchor" id="a66c7bf4f59feb619016a5c70e4ded4ee"></a><!-- doxytag: member="Ogre::FileInfo::uncompressedSize" ref="a66c7bf4f59feb619016a5c70e4ded4ee" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1FileInfo.html#a66c7bf4f59feb619016a5c70e4ded4ee">Ogre::FileInfo::uncompressedSize</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Uncompressed size. </p>

<p>Definition at line <a class="el" href="OgreArchive_8h_source.html#l00065">65</a> of file <a class="el" href="OgreArchive_8h_source.html">OgreArchive.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreArchive_8h_source.html">OgreArchive.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
